Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232788 - RFE: Make totem to remember screenshot location
Summary: RFE: Make totem to remember screenshot location
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 20:19 UTC by Pete Zaitcev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 15:55:53 UTC


Attachments (Terms of Use)

Description Pete Zaitcev 2007-03-17 20:19:26 UTC
Description of problem:

Every time I take a screenshot, totem insists on placing it to desktop,
regardless of what I selected before.

Version-Release number of selected component (if applicable):

totem-2.18.0-1.fc7

How reproducible:

Seems like always.

Steps to Reproduce:
1. Play a video.
2. Press Ctrl-S
3. Observe the dialog. Radio button for "Desktop" is selected.

Actual results:

Previous screenshot location is not remembered.

Expected results:

Screenshot location remembered.

Additional info:

It would be best if the screenshot location was remembered across
restarts of Totem, but I'd settle if it kept track while running
at least.

Comment 1 Bastien Nocera 2007-04-13 15:55:53 UTC
Fixed upstream in 2.19.0, which I'll upload after the F7 release.

2007-04-13  Bastien Nocera  <hadess@hadess.net>

        * data/Makefile.am:
        * data/screenshot.glade:
        * data/totem.schemas.in:
        * src/totem-screenshot.c: (totem_screenshot_make_filename_for_dir),
        (totem_screenshot_temp_file_create),
        (totem_screenshot_temp_file_remove), (drag_begin),
        (totem_screenshot_response), (totem_screenshot_init),
        (totem_screenshot_finalize), (totem_screenshot_new),
        (totem_screenshot_class_init):
        * src/totem-screenshot.h:
        * src/totem-uri.c: (totem_pictures_dir), (totem_add_pictures_dir):
        * src/totem-uri.h:
        * src/totem.c: (totem_action_take_screenshot):
        Kill the old screenshot dialogue, and use a simple file chooser widget
        with a preview image instead. Remember the path of where the previous
        screenshot was saved. Use the Pictures directory as the default save
        directory (Closes: RH #232788)



Note You need to log in before you can comment on or make changes to this bug.